NUMBER(6)

NAME
number - convert Arabic numerals to English

SYNOPSIS
number [-l] [--] [# ...]

DESCRIPTION
The number utility prints the English equivalent of the number to the standard output, with each 10^3 magnitude displayed on a separate line. If no argument is specified, number reads lines from the standard input.

The options are as follows:

-l  Display the number on a single line.

number understands negative numbers (although they must be preceded by ‘--’ if they are on the command line to avoid being mistaken for options) and numbers in scientific notation (e.g. 1.234E+05).